@import "description.scss";

.card {
  width: 140px;
  height: 133px;
  border: 1px solid $color-gray-bgc-2;
  border-radius: 15px;
  padding: 20px;
  cursor: pointer;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  &:hover {
    box-shadow: 0px 10px 40px rgba(0, 0, 0, 0.07);
  }

  &__container {
    @include mobile {
      &:last-child {
        box-sizing: content-box;
        width: 133px;
        padding-right: 20px;
      }
    }
  }

  &__title {
    @include h5;
    font-weight: 400;
    line-height: 22px;
    align-self: start;

    @include tablet {
      align-self: center;
    }

    @include mobile {
      align-self: start;
    }
  }
  &__image {
    align-self: flex-end;
    width: 30px;
    height: 30px;
    background-size: contain;
    background-position: center center;
    background-repeat: no-repeat;

    @include tablet {
      align-self: center;
      margin-right: 25px;
    }

    @include mobile {
      align-self: flex-end;
      margin-right: 0;
    }
  }

  @include tablet {
    width: 100%;
    height: 60px;
    flex-direction: row-reverse;
    justify-content: flex-end;
    padding: 0 25px;
    align-items: center;
  }

  @include mobile {
    height: 133px;
    width: 133px;
    padding: 20px;
    flex-direction: column;
    justify-content: space-between;
  }
}
